Subject: bug#40046: closed (Re: 28.0.50; infinite recursion futimens -> fdutimens -> futimens -> ...)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 13 Mar 2020 10:22:01 +0000

Your bug report

#40046: 28.0.50; infinite recursion futimens -> fdutimens -> futimens -> ...

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40046: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40046
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: 28.0.50; infinite recursion futimens -> fdutimens -> futimens -> ...
From: Mattias Engdegård <[email-masked]>
To: Paul Eggert <[email-masked]>
Cc: [email-masked]
Date: Fri, 13 Mar 2020 11:21:18 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

13 mars 2020 kl. 00.47 skrev Paul Eggert <[email-masked]>:

> This feels like Bug#39948. I suggest cloning the source directory from git master, and starting afresh. Merely wiping out the build directory does not always suffice (I don't know why).

Thanks, and you were right. After carefully removing all non-versioned files from the source directory, the problems went away.
Closed.

Subject: 28.0.50; infinite recursion futimens -> fdutimens -> futimens -> ...
From: Mattias Engdegård <[email-masked]>
To: [email-masked]
Cc: Paul Eggert <[email-masked]>
Date: Thu, 12 Mar 2020 23:03:28 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On macOS 10.14, futimens in lib/futimens.c calls fdutimens in lib/utimens.c which calls futimens again, recursing until the stack is full. This cause Fcopy_file to crash, for instance.

No doubt I've made a silly configuration error, but I've wiped the (out-of-tree) build directory, regenerated configure and all. As expedience I commented out the futimens definition. Not sure how this is supposed to work really -- what am I missing? HAVE_FUTIMENS is set in config.h.